"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_utils_1 = require("@ionic/cli-utils");
const generate_1 = require("./generate");
const use_1 = require("./use");
const add_1 = require("./add");
const delete_1 = require("./delete");
const list_1 = require("./list");
const setup_1 = require("./setup");
class SSHNamespace extends cli_utils_1.Namespace {
    constructor() {
        super(...arguments);
        this.name = 'ssh';
        this.source = 'ionic';
        this.commands = new cli_utils_1.CommandMap([
            ['generate', () => new generate_1.SSHGenerateCommand()],
            ['use', () => new use_1.SSHUseCommand()],
            ['add', () => new add_1.SSHAddCommand()],
            ['delete', () => new delete_1.SSHDeleteCommand()],
            ['list', () => new list_1.SSHListCommand()],
            ['setup', () => new setup_1.SSHSetupCommand()],
            ['ls', 'list'],
            ['remove', 'delete'],
            ['rm', 'delete'],
        ]);
    }
}
exports.SSHNamespace = SSHNamespace;
